dashboard:
  enabled: false
logIngest:
  enabled: true
  lokiEndpoint: http://loki-gateway.freeleaps-logging-system
  logPathPattern: /app/log/authentication/*.log
  logPath: /app/log/authentication
global:
  environment: alpha
authentication:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: authentication
    tag: snapshot-cad00ce
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8004
    protocol: TCP
  resources:
    requests:
      cpu: 50m
      memory: 64Mi
    limits:
      cpu: 200m
      memory: 128Mi
  probes:
    readiness:
      type: httpGet
      config:
        path: /api/_/readyz
        port: 8004
        initialDelaySeconds: 5
        periodSeconds: 30
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
    liveness:
      type: httpGet
      config:
        path: /api/_/livez
        port: 8004
        initialDelaySeconds: 5
        periodSeconds: 15
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
        terminationGracePeriodSeconds: 30
  services:
  - name: authentication-service
    type: ClusterIP
    port: 8004
    targetPort: 8004
    serviceMonitor:
      enabled: false
  ingresses:
  - name: authentication-ingress
    host: authentication.freeleaps-alpha.com
    class: nginx
    rules:
    - path: /
      pathType: Prefix
      backend:
        service:
          name: authentication-service
          port:
            number: 8004
    tls:
      exists: false
      issuerRef:
        name: freeleaps-alpha-dot-com
        kind: ClusterIssuer
      name: authentication.freeleaps-alpha.com-cert
  configs:
    tz: UTC
    appName: authentication
    appEnv: alpha
    devsvcWebapiUrlBase: http://devsvc-service.freeleaps-alpha.svc.freeleaps.cluster:8007/api/devsvc/
    notificationWebapiUrlBase: http://notification-service.freeleaps-alpha.svc.freeleaps.cluster:8003/api/notification/
    authServiceEndpoint: http://freeleaps-auth-service.68c0da88a0a7837e84b580eb-alpha.svc.freeleaps.cluster:9000/api/v1/
    jwtAlgorithm: HS256
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8004
    mongodbName: freeleaps2
    mongodbPort: 27017
    metricsEnabled: 'false'
    probesEnabled: 'true'
  secrets:
    secretStoreRef:
      kind: FreeleapsSecretStore
      name: freeleaps-main-secret-store
    target:
      name: freeleaps-authentication-secrets
      creationPolicy: Owner
    refreshInterval: 30s
    data:
    - key: jwtSecretKey
      remoteRef:
        key: freeleaps-alpha-jwt-secret-key
        type: Secret
    - key: mongodbUri
      remoteRef:
        key: freeleaps-alpha-mongodb-uri
        type: Secret
  vpa:
    minAllowed:
      enabled: false
      cpu: 100m
      memory: 64Mi
    maxAllowed:
      enabled: true
      cpu: 100m
      memory: 256Mi
    controlledResources:
    - cpu
    - memory
  prometheusRule:
    name: freepeals-alpha-authentication
    enabled: false
    namespace: freeleaps-monitoring-system
    labels:
      release: kube-prometheus-stack
    rules:
    - alert: FreeleapsAuthenticationServiceDown
      expr: up{job="authentication-service"} == 0
      for: 1m
      labels:
        severity: critical
        service: authentication-service
      annotations:
        summary: Freeleaps Authentication service is down (instance {{ $labels.instance }})
        description: Freeleaps Authentication service has been down for more than 1 minutes.
        runbook_url: https://netorgft10898514.sharepoint.com/:w:/s/FreeleapsEngineeringTeam/EUlvzumTsPxCpPAzI3gm9OIB0DCLTjQzzYVL6VsHYZFjxg?e=0dxVr7
    - alert: FreeleapsAuthenticationServiceHighErrorRate
      expr: rate(http_requests_total{job="authentication-service",status=~"5.."}[5m]) > 0.1
      for: 5m
      labels:
        severity: warning
        service: authentication-service
      annotations:
        summary: High error rate in freeleaps authentication service (instance {{ $labels.instance }})
        description: Freeleaps Authentication service error rate is {{ $value }} errors per second.
        runbook_url: https://netorgft10898514.sharepoint.com/:w:/s/FreeleapsEngineeringTeam/EUlvzumTsPxCpPAzI3gm9OIB0DCLTjQzzYVL6VsHYZFjxg?e=0dxVr7
